summaryrefslogtreecommitdiffstats
path: root/network/wifi-radar
diff options
context:
space:
mode:
author David Woodfall <dave@dawoodfall.net>2010-06-16 05:06:05 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-16 05:06:05 -0500
commitf51467926323647bca2064234088cca404ccb62c (patch)
tree2f591a8b84f5dabd8698241dc35e822cc1754513 /network/wifi-radar
parentee689908caace6e01751fd7b82da74c89aeac065 (diff)
downloadslackbuilds-f51467926323647bca2064234088cca404ccb62c.tar.gz
slackbuilds-f51467926323647bca2064234088cca404ccb62c.tar.xz
network/wifi-radar: Added (wireless network config utility)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/wifi-radar')
-rw-r--r--network/wifi-radar/README17
-rw-r--r--network/wifi-radar/dhcpcd.diff24
-rw-r--r--network/wifi-radar/doinst.sh10
-rw-r--r--network/wifi-radar/kdesu.diff10
-rw-r--r--network/wifi-radar/slack-desc19
-rw-r--r--network/wifi-radar/wifi-radar8
-rw-r--r--network/wifi-radar/wifi-radar.SlackBuild98
-rw-r--r--network/wifi-radar/wifi-radar.info10
8 files changed, 196 insertions, 0 deletions
diff --git a/network/wifi-radar/README b/network/wifi-radar/README
new file mode 100644
index 0000000000..4279c4d723
--- /dev/null
+++ b/network/wifi-radar/README
@@ -0,0 +1,17 @@
+WiFi Radar is a Python/PyGTK2 utility for managing WiFi profiles on GNU/Linux.
+
+It enables you to scan for available networks and create profiles for your
+preferred networks. You can drag and drop your preferred networks to arrange
+the profile priority.
+
+WiFi Radar is tested to work with an Intel iwlagn 6300 on Slackware but
+should work just the same for any iwconfig interface.
+
+NOTE: wifi-radar needs to run as root. You may need to issue:
+ xhost +local:root
+which you can put in your ~/.bashrc or ~/.zshrc etc.
+
+I've installed the program into /opt/radar-wifi and created a
+/usr/bin/wifi-radar script that sets $DISPLAY which defaults to :0.0
+For other $DISPLAY's you can edit the script in the slackbuild
+directory, or pass DISPLAY=:N.n to wifi-radar on the command line.
diff --git a/network/wifi-radar/dhcpcd.diff b/network/wifi-radar/dhcpcd.diff
new file mode 100644
index 0000000000..5ba01d1348
--- /dev/null
+++ b/network/wifi-radar/dhcpcd.diff
@@ -0,0 +1,24 @@
+diff -Naur wifi-radar-2.0.s08-orig/man/man5/wifi-radar.conf.5 wifi-radar-2.0.s08/man/man5/wifi-radar.conf.5
+--- wifi-radar-2.0.s08-orig/man/man5/wifi-radar.conf.5 2010-04-04 19:00:21.000000000 +0100
++++ wifi-radar-2.0.s08/man/man5/wifi-radar.conf.5 2010-06-01 18:33:19.000000000 +0100
+@@ -175,7 +175,7 @@
+ The parameters to pass to the DHCP client when acquiring a lease
+ (i.e. setting up a connection).
+ .IP
+-.B (default: -D -o -i dhcp_client -t %(timeout)s)
++.B (default: -t %(timeout)s)
+ .
+ .TP 4
+ .B command
+diff -Naur wifi-radar-2.0.s08-orig/wifi-radar wifi-radar-2.0.s08/wifi-radar
+--- wifi-radar-2.0.s08-orig/wifi-radar 2010-04-04 19:03:02.000000000 +0100
++++ wifi-radar-2.0.s08/wifi-radar 2010-06-01 18:33:35.000000000 +0100
+@@ -2919,7 +2919,7 @@
+ # How long to wait for an IP addr from DHCP server
+ 'timeout': '30',
+ # Arguments to use with DHCP client on connect
+- 'args': '-D -o -i dhcp_client -t %(timeout)s',
++ 'args': '-t %(timeout)s',
+ # Argument to use with DHCP client on disconnect
+ 'kill_args': '-k',
+ # The file where DHCP client PID is written
diff --git a/network/wifi-radar/doinst.sh b/network/wifi-radar/doinst.sh
new file mode 100644
index 0000000000..48744fc516
--- /dev/null
+++ b/network/wifi-radar/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/network/wifi-radar/kdesu.diff b/network/wifi-radar/kdesu.diff
new file mode 100644
index 0000000000..279848980f
--- /dev/null
+++ b/network/wifi-radar/kdesu.diff
@@ -0,0 +1,10 @@
+diff -Naur wifi-radar-2.0.s08-orig/wifi-radar.desktop wifi-radar-2.0.s08/wifi-radar.desktop
+--- wifi-radar-2.0.s08-orig/wifi-radar.desktop 2010-04-04 19:00:21.000000000 +0100
++++ wifi-radar-2.0.s08/wifi-radar.desktop 2010-06-03 18:09:07.000000000 +0100
+@@ -8,5 +8,5 @@
+ Icon=wifi-radar.svg
+ FilePattern=wifi-radar
+ TryExec=wifi-radar
+-Exec=gksudo -S wifi-radar
++Exec=kdesu wifi-radar
+ Categories=Application;Network;
diff --git a/network/wifi-radar/slack-desc b/network/wifi-radar/slack-desc
new file mode 100644
index 0000000000..ef659a7fc0
--- /dev/null
+++ b/network/wifi-radar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wifi-radar: wifi-radar (wireless network tool)
+wifi-radar:
+wifi-radar: WiFi Radar is a Python/PyGTK2 utility for managing WiFi profiles on
+wifi-radar: GNU/Linux.
+wifi-radar:
+wifi-radar: It enables you to scan for available networks and create profiles for
+wifi-radar: your preferred networks. You can drag and drop your preferred
+wifi-radar: networks to arrange the profile priority.
+wifi-radar:
+wifi-radar: Homepage: http://wifi-radar.berlios.de/
+wifi-radar:
diff --git a/network/wifi-radar/wifi-radar b/network/wifi-radar/wifi-radar
new file mode 100644
index 0000000000..515ee789c2
--- /dev/null
+++ b/network/wifi-radar/wifi-radar
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# wifi-radar startup script Pass DISPLAY=:N.n on command line or it
+# will default to :0.0
+
+DISPLAY=${DISPLAY:-:0.0}
+
+/opt/wifi-radar/wifi-radar 2>/dev/null
diff --git a/network/wifi-radar/wifi-radar.SlackBuild b/network/wifi-radar/wifi-radar.SlackBuild
new file mode 100644
index 0000000000..0181e2f0a2
--- /dev/null
+++ b/network/wifi-radar/wifi-radar.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for wifi-radar
+
+# Copyright 2010 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wifi-radar
+VERSION=${VERSION:-2.0.s08}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch --verbose -p1 < $CWD/dhcpcd.diff
+patch --verbose -p1 < $CWD/kdesu.diff
+
+make
+make install DESTDIR=$PKG/usr sbindir=$PKG/opt/wifi-radar sysconfdir=$PKG/etc mandir=$PKG/usr/man
+
+rm -r $PKG/etc
+install -m 755 -D $CWD/wifi-radar $PKG/usr/bin/wifi-radar
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.GPL docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wifi-radar/wifi-radar.info b/network/wifi-radar/wifi-radar.info
new file mode 100644
index 0000000000..3779d0b116
--- /dev/null
+++ b/network/wifi-radar/wifi-radar.info
@@ -0,0 +1,10 @@
+PRGNAM="wifi-radar"
+VERSION="2.0.s08"
+HOMEPAGE="http://wifi-radar.berlios.de/"
+DOWNLOAD="http://download.berlios.de/wifi-radar/wifi-radar-2.0.s08.tar.bz2"
+MD5SUM="cbad24805d5dc6696e38dc1df619c819"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED="rworkman"